Package org.apache.felix.http.jakartawrappers

# Class PushBuilderWrapper

java.lang.Object
org.apache.felix.http.jakartawrappers.PushBuilderWrapper

All Implemented Interfaces:
  `jakarta.servlet.http.PushBuilder`

public class PushBuilderWrapper extends Object implements jakarta.servlet.http.PushBuilder
Push builder wrapper

## Constructor Summary

Constructors
Constructor
Description
`PushBuilderWrapper(javax.servlet.http.PushBuilder c)`
Create new wrapper

## Method Summary

Modifier and Type
Method
Description
`jakarta.servlet.http.PushBuilder`
`addHeader(String name, String value)`
`String`
`getHeader(String name)`
`Set<String>`
`getHeaderNames()`
`String`
`getMethod()`
`String`
`getPath()`
`String`
`getQueryString()`
`String`
`getSessionId()`
`jakarta.servlet.http.PushBuilder`
`method(String method)`
`jakarta.servlet.http.PushBuilder`
`path(String path)`
`void`
`push()`
`jakarta.servlet.http.PushBuilder`
`queryString(String queryString)`
`jakarta.servlet.http.PushBuilder`
`removeHeader(String name)`
`jakarta.servlet.http.PushBuilder`
`sessionId(String sessionId)`
`jakarta.servlet.http.PushBuilder`
`setHeader(String name, String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PushBuilderWrapper

public PushBuilderWrapper(@NotNull javax.servlet.http.PushBuilder c)
Create new wrapper

Parameters:
  `c` - Wrapped builder

## Method Details

### method

public jakarta.servlet.http.PushBuilder method(String method)

Specified by:
  `method` in interface `jakarta.servlet.http.PushBuilder`

### queryString

public jakarta.servlet.http.PushBuilder queryString(String queryString)

Specified by:
  `queryString` in interface `jakarta.servlet.http.PushBuilder`

### sessionId

public jakarta.servlet.http.PushBuilder sessionId(String sessionId)

Specified by:
  `sessionId` in interface `jakarta.servlet.http.PushBuilder`

### setHeader

public jakarta.servlet.http.PushBuilder setHeader(String name, String value)

Specified by:
  `setHeader` in interface `jakarta.servlet.http.PushBuilder`

### addHeader

public jakarta.servlet.http.PushBuilder addHeader(String name, String value)

Specified by:
  `addHeader` in interface `jakarta.servlet.http.PushBuilder`

### removeHeader

public jakarta.servlet.http.PushBuilder removeHeader(String name)

Specified by:
  `removeHeader` in interface `jakarta.servlet.http.PushBuilder`

### path

public jakarta.servlet.http.PushBuilder path(String path)

Specified by:
  `path` in interface `jakarta.servlet.http.PushBuilder`

### push

public void push()

Specified by:
  `push` in interface `jakarta.servlet.http.PushBuilder`

### getMethod

public String getMethod()

Specified by:
  `getMethod` in interface `jakarta.servlet.http.PushBuilder`

### getQueryString

public String getQueryString()

Specified by:
  `getQueryString` in interface `jakarta.servlet.http.PushBuilder`

### getSessionId

public String getSessionId()

Specified by:
  `getSessionId` in interface `jakarta.servlet.http.PushBuilder`

### getHeaderNames

public Set<String> getHeaderNames()

Specified by:
  `getHeaderNames` in interface `jakarta.servlet.http.PushBuilder`

### getHeader

public String getHeader(String name)

Specified by:
  `getHeader` in interface `jakarta.servlet.http.PushBuilder`

### getPath

public String getPath()

Specified by:
  `getPath` in interface `jakarta.servlet.http.PushBuilder`